

package gov.va.med.cds.monitor;


public class VdmMarshallerMethodMetrics
    extends
        AbstractMethodMetrics
    implements
        VdmMarshallerMethodMetricsInterface
{

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmMarshallerMethodMetricsInterface#getVdmMarshallerTransactions()
     */
    public long getVdmMarshallerTransactions( )
    {
        return getTransactions();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmMarshallerMethodMetricsInterface#getVdmMarshallerElapsedTime()
     */
    public long getVdmMarshallerElapsedTime( )
    {
        return getElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmMarshallerMethodMetricsInterface#getVdmMarshallerTransactionsPerSecond()
     */
    public double getVdmMarshallerTransactionsPerSecond( )
    {
        return getTransactionsPerSecond();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmMarshallerrMethodMetricsInterface#getVdmMarshallerAverageElapsedTime()
     */
    public double getVdmMarshallerAverageElapsedTime( )
    {
        return getAverageElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmMarshallerMethodMetricsInterface#getVdmMarshallerMaxElapsedTime()
     */
    public long getVdmMarshallerMaxElapsedTime( )
    {
        return getMaxElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.VdmMarshallerMethodMetricsInterface#getVdmMarshallerMinElapsedTime()
     */
    public long getVdmMarshallerMinElapsedTime( )
    {
        return getMinElapsedTime();
    }
}
